> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zuddl.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all speaker details

> Use this endpoint to retrieve the details of all speakers added to a particular event type in your Zuddl organization. You can use query parameters such as filter, pagination, or sort to customize the response.

Required API key scopes: `READ`



## OpenAPI

````yaml https://api.prod.zuddl.com/api/v3/api-docs/api-product get /v1/events/{eventId}/speakers
openapi: 3.1.0
info:
  title: Zuddl API Documentation
  description: >-
    Zuddl RESTful APIs let you interact with the Zuddl platform and take action
    for your event or webinar. They let you add attendees, get attendee details,
    get event details, and more.


    The API response is returned in JSON, which your systems can easily consume.


    The API parameters allow you to customize the response using filters,
    sorting, pagination, and other parameters. Parameter values should be
    percent-encoded (URL-encoded) to ensure correct transmission, especially if
    they contain special characters such as spaces, semi-colons, or slashes.


    # Rate limits


    | Metrics | Value |

    | --- | --- |

    | Requests/second | 10 |

    | Burst or no. of concurrent calls allowed | 100 requests |

    | Total quota | 10000 requests/day |
  version: '1.0'
servers:
  - url: https://api.zuddl.com/
security:
  - api_key: []
tags:
  - name: Events
    description: API endpoints for managing events
  - name: Attendees
    description: >-
      The attendee APIs let you add and retrieve attendee in a particular event
      type.
  - name: Sessions
    description: API endpoints for managing event sessions
  - name: Speakers
    description: API endpoints for managing event speakers
  - name: Sponsors
    description: API endpoints for managing event sponsors
  - name: Locations
    description: API endpoints for managing event locations
paths:
  /v1/events/{eventId}/speakers:
    get:
      tags:
        - Speakers
      summary: Get all speaker details
      description: >-
        Use this endpoint to retrieve the details of all speakers added to a
        particular event type in your Zuddl organization. You can use query
        parameters such as filter, pagination, or sort to customize the
        response.


        Required API key scopes: `READ`
      operationId: getSpeakers
      parameters:
        - name: eventId
          in: path
          description: Unique identifier of the event
          required: true
          schema:
            type: string
            pattern: >-
              ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
          example: 4fcebf73-3ddb-4fe6-b56d-5dd7dedb7c3d
        - name: filter
          in: query
          description: |
            Filter query in format: 

            Available filters:
            - profile.company: operations [like]
          required: false
          schema:
            type: string
          example: company:like:Tech Innovators Inc
        - name: sort
          in: query
          description: |
            Sort query in format: 

            The following fields are sortable:
            - speakerOrder
            - profile.firstName
          required: false
          schema:
            type: string
          example: profile.firstName:asc,speakerOrder:asc
        - name: page
          in: query
          description: 'Page number (default: 1)'
          required: false
          schema:
            type: number
          example: '1'
        - name: size
          in: query
          description: 'Page size (default: 10, max: 100)'
          required: false
          schema:
            type: number
          example: '10'
      responses:
        '200':
          description: List of speakers retrieved successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/org.events.app.domain.api_product.event.speaker.dtos.SpeakerDetailsPage
        '400':
          description: Invalid event ID supplied
          content:
            '*/*':
              schema:
                $ref: >-
                  #/components/schemas/org.events.app._internal._response.v1.ApiErrorResponse
        '401':
          description: Unauthorized access to event
          content:
            '*/*':
              schema:
                $ref: >-
                  #/components/schemas/org.events.app._internal._response.v1.ApiErrorResponse
        '404':
          description: Event not found
          content:
            '*/*':
              schema:
                $ref: >-
                  #/components/schemas/org.events.app._internal._response.v1.ApiErrorResponse
components:
  schemas:
    org.events.app.domain.api_product.event.speaker.dtos.SpeakerDetailsPage:
      properties:
        pagination:
          $ref: >-
            #/components/schemas/org.events.app.domain.api_product.dtos.PageResponse.Pagination
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/org.events.app.domain.api_product.event.speaker.dtos.SpeakerDetails
    org.events.app._internal._response.v1.ApiErrorResponse:
      properties:
        timestamp:
          type: string
          format: date-time
        message:
          type: string
        description:
          type: string
        errors:
          type: object
          additionalProperties:
            type: string
    org.events.app.domain.api_product.dtos.PageResponse.Pagination:
      properties:
        next:
          type: string
          format: uri
          description: URI of the next page. Also indicates the presence of a next page.
          example: /{apiEndpoint}?page=3
        current:
          type: string
          format: uri
          description: URI of the current page.
          example: /{apiEndpoint}?page=2
        previous:
          type: string
          format: uri
          description: >-
            URI of the previous page. Also indicates the presence of a previous
            page.
          example: /{apiEndpoint}?page=1
    org.events.app.domain.api_product.event.speaker.dtos.SpeakerDetails:
      properties:
        kind:
          type: string
        url:
          type: string
          format: uri
        id:
          type: string
          format: uuid
          description: Unique identifier of the speaker
          example: 4fcebf73-3ddb-4fe6-b56d-5dd7dedb7c3d
        speakerOrder:
          type: integer
          format: int32
          description: Order of appearance for this speaker
        profile:
          $ref: >-
            #/components/schemas/org.events.app.domain.api_product.event.speaker.dtos.SpeakerDetails.Profile
        socialLinks:
          $ref: >-
            #/components/schemas/org.events.app.domain.api_product.event.speaker.dtos.SpeakerDetails.SocialLinks
        sessions:
          type: array
          description: Sessions where this speaker appears
          items:
            $ref: >-
              #/components/schemas/org.events.app.domain.api_product.event.speaker.dtos.SpeakerDetails.SessionRef
        externalRefId:
          type: string
          description: >-
            A reference ID that you can use to map this speaker to your external
            systems or databases
          example: d812a64f8865428990249a120792c3d8
    org.events.app.domain.api_product.event.speaker.dtos.SpeakerDetails.Profile:
      description: Speaker profile information
      properties:
        firstName:
          type: string
          example: Alice
        lastName:
          type: string
          example: Smith
        bio:
          type: string
          description: >-
            Bio of the speaker. May contain rich-text HTML markup (e.g. bold,
            italic, lists, links). Legacy speakers may still return plain text.
          example: <p>Alice is a <strong>renowned expert</strong>...</p>
        company:
          type: string
          example: Tech Innovators Inc.
        designation:
          type: string
          example: Chief Technology Officer
        headline:
          type: string
          example: Visionary Leader in Tech
        picUrl:
          type: string
          description: Profile picture URL
          example: https://example.com/speakers/alice.jpg
    org.events.app.domain.api_product.event.speaker.dtos.SpeakerDetails.SocialLinks:
      description: Speaker's social and website links
      properties:
        linkedInProfile:
          type: string
          example: https://linkedin.com/in/alicesmith
        twitterProfile:
          type: string
          example: https://twitter.com/alicesmith
        facebookProfile:
          type: string
          example: https://facebook.com/alicesmith
        websiteUrl:
          type: string
          example: https://alicesmith.com
    org.events.app.domain.api_product.event.speaker.dtos.SpeakerDetails.SessionRef:
      description: Sessions where this speaker appears
      properties:
        sessionId:
          type: string
          description: Unique identifier of the session
          example: 4fcebf73-3ddb-4fe6-b56d-5dd7dedb7c4f
        url:
          type: string
          format: uri
          description: API URL to retrieve session details
          example: /api/v1/events/evt-abc123xyz/sessions/seg-123432
  securitySchemes:
    api_key:
      type: apiKey
      description: Provide your API key secret in the `Authorization` header
      name: Authorization
      in: header

````